#  
#   JDBCGenXML - driver to test calling dxxGenXML stored procedure from JDBC.
#               Result column type: varchar
#               Database: sample
# 
#   Notice:
#          1. make sure that database sample is created via db2sampl 
#          2. make sure that sample database is binded with XML Extender and CLI 
#          3. see Generate.java for the way to call dxxGenXML() from JDBC
#          4. enter:
#             "javac Generate.java" to generate Generate.class
# 
#  This file is shipped with XML Extender. 

# enable database sample
dxxadm enable_db sample

db2 "connect to sample"

db2 "echo -------- Creating result_tab --------"
db2 "create table result_tab(doc varchar(3000))"

db2 "echo -------- Calling the SQL-to-XML mapping stored procedure --------"
java Generate sample /usr/IBMdb2xml/V7.1/samples/dad/department.dad result_tab

db2 "echo -------- Displaying the resulting XML documents --------"
db2 "select * from result_tab"

db2 "echo -------- Cleaning up --------"
db2 "drop table result_tab"

# disable database sample
dxxadm disable_db sample

db2 "terminate"
