# 
# getstart_stp --- getting started with calling stored procedures.
#
#      tests2x is a executable file which is compiled from the source 
#      ../c/tests2x.c.
#      see ../c/tests2x.sqc for how to call dxxGenXML() stored procedure.
#
#  Notice:
#         1. make sure that getstart_db has been run to create database SALES_DB
#         2. make sure that getstart_prep has been run to 
#             * bind SALES_DB database
#               with UDB CLI and  XML Extender, and enabled with XML Extender by
#             * run dxxadm enable_db SALES_DB 

db2 "connect to SALES_DB"

db2 "echo -------- Calling the SQL-to-XML mapping stored procedure. --------"
tests2x SALES_DB ../dad/getstart_xcollection.dad result_tab

db2 "echo -------- Displaying the resulting XML documents. --------"
db2 "select * from result_tab"

db2 "terminate"
