# 				
#  retrvxml - testing enable collection with retrieve.exe calling 
#            dxxRetrieveXML()
# 

db2  connect to mydb

db2 "insert into db2xml.dtd_ref values('neworder.dtd', db2xml.XMLClobFromFile('/usr/IBMdb2xml/V7.1/samples/dtd/neworder.dtd'), 0, 'anita', 'anita','anita')"

db2 "echo -------- Creating result_tab --------"
db2 "create table result_tab(doc db2xml.XMLVarchar)"

#  create collection "abc"  with validation check
dxxadm enable_collection mydb abc /usr/IBMdb2xml/V7.1/samples/dad/neworder.dad 

#  insert data to tables
db2 "insert into order_tab values(1, 'American Motors', 'parts@am.com')"
db2 "insert into part_tab values('red',  156, 1795.4, 0.02, 17, 1)"
db2 "insert into part_tab values('black', 68, 3485.16, 0.06, 36, 1)"
db2 "insert into part_tab values('red',  128, 3800.00, 0.07, 28, 1)"
db2 "insert into ship_tab values('1998-03-13', 'TRUCK', 'This is the first shipment to service of AM.', 156)"
db2 "insert into ship_tab values('1999-01-16', 'FEDEX', 'This the second shipment to service of AM.', 156)"
db2 "insert into ship_tab values('1998-08-19', 'BOAT', 'This shipment is requested by a call. from AM marketing.', 68)"
db2 "insert into ship_tab values('1998-07-23', 'AIR', 'This shipment is ordered by an email.', 68)"
db2 "insert into ship_tab values('1998-12-30', 'TRUCK', NULL, 128)"

#  retrieve collection "abc"
retrieve mydb abc result_tab 

db2 "echo -------- Displaying the resulting XML documents --------"
db2 "select * from result_tab"

# cleanup
db2 drop table order_tab
db2 drop table part_tab
db2 drop table ship_tab
db2 drop table result_tab

dxxadm disable_collection mydb abc
db2 "delete from db2xml.dtd_ref where dtdid='neworder.dtd'"

db2 terminate

